import {Language} from './language';
import {Charset} from './charset';
import {MediaType} from './media-type';

export * from './app';
export * from './charset';
export * from './delta';
export * from './media-type';
export * from './resource';
export * from './language';
export * from './queries';
export * as validation from './validation';

export interface ContentNegotiation {
	language: Language;
	mediaType: MediaType;
	charset: Charset;
}
